@import '../../../assets/styles/global';

.search-renderer-item {
    max-height: 200px;
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
    &:nth-child(odd){
        background-color: rgba(0, 0, 0, 0.8);
    }
    &:nth-child(even){
        background-color: rgba(0, 0, 0, 0.6);
    }
    figure {
        margin: 0;
        height: 200px;
        min-width: 200px;
        display: flex;
        padding: 20px;
        align-items: center;
        justify-content: center;
        background-image: radial-gradient(#dddddd, #777777);
        box-sizing: border-box;
        img {
            max-height: 180px;
            max-width: 180px;
            &.no-logo {
                filter: sepia(.5) blur(2px);
            }    
        }
    }

    &__details {
        flex-grow: 1;
        font-family: $font-content-bold;
        background-size: cover;
        background-position: center;
        padding: 0 20px;
        position: relative;
        color: #efefef;
        &::before {
            background-color: rgba(0, 0, 0, 0.8);
            display: block;
            content: '';
            height: 100%;
            width: 100%;
            position: absolute;
            left: 0;
            z-index: 0;
            top: 0;
        }
        h1, h2, p {
            z-index: 0;
            position: relative;
        }
        h1 {
            font-size: 54px;
            margin: 0;
        }
        h2 {
            margin: 0;
        }
        p {
            font-family: $font-content;
            font-size: 14px;
            margin: 10px 0 0;
        }
        .categories {
            h2 {
                display: inline-block;
                margin-right: 5px;
            }
            span {
                display: inline-block;
                margin: 0 5px;
                position: relative;
                z-index: 1;
                background-color: rgba(#ffffff, 0.75);
                color: #333333;
                text-transform: lowercase;
                padding: 5px;
                border-radius: 10px;
                transform: translateY(-3px);
            }
        }
    }
}